/*
 * FP_OPTION table data
 */
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_DATA_SET', 'The tag used in the Node Document template that is replaced with the data set of this Flow.'
, '<%Insert Data Set Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'P', 'The tag used in the Node Document template that is replaced with the data set of this Flow.'
, '<%Insert Data Set Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_TIMESTAMP', 'The tag used in the Node Document template that is replaced with a timestamp.'
, '<%Insert Timestamp Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_TIMESTAMP_FORMAT', 'The format that is used for the timestamp inserted into the Node Document in place of the tag defined by FLOW_DOC_TEMPLATE _TAG_TIMESTAMP.'
, 'yyyy-MM-dd''T''HH:mm:ss.SSS', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_ID', 'The tag used in the Node Document template that is replaced with a unique id.'
, '<%Insert Id Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_PAYLOAD_OPERATION', 'The tag used in the Node Document template that is replaced with the Payload Operation.'
, '<%Insert Payload Operation Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_TEMP_DIRECTORY', 'The full path to the directory the Flow Processor can use for temporary files.'
, 'c:\temp\', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_XML_DECLARATION', 'The XML declaration to be used for all XML documents generated by the Flow Processor.'
, '<?xml version="1.0"?>', NULL, NULL, 'SDWIS10',  TO_Date( '06/02/2006 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_SUBMISSION_FILENAME_TIMESTAMP_FORMAT', 'The format of the timestamp appended to the OUTPUT_BASE_FILENAME field in the FLOW_SUBMITTAL table.'
, 'yyyy-MM-dd_HH-mm-ss', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_SCHEMA', 'The tag used in the Node Document template that is replaced with the name of the XML document''s schema that is in the Payload.'
, '<%Insert Schema Here%>', NULL, NULL, 'jmat',  TO_Date( '03/19/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_OPTION ( OPTION_NAME, OPTION_DESC, VALUE_STRING, VALUE_NUMBER, VALUE_DATE,
USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'FP_DOC_TEMPLATE_TAG_DATA_SERVICE', 'The tag used in the Node Document template that is replaced with the data service'
, '<%Insert Data Service Here%>', NULL, NULL, 'sbowers',  TO_Date( '04/28/2005 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;

/*
 * FP_SUBMITTAL_MODEL table
 */
INSERT INTO FP_SUBMITTAL_MODEL ( SUBMITTAL_MODEL_CODE, SUBMITTAL_MODEL_DESC, CDX_DATA_FLOW_CODE,
CDX_DOC_TYPE_CODE, CDX_FLOW_SCHEMA, CDX_FLOW_OPERATION, CDX_DOC_TEMPLATE_FILENAME,
CDX_DATA_SET_XSLT_FILENAME, OUTPUT_BASE_FILENAME, OUTPUT_ROOT_OPEN_TAG, OUTPUT_ROOT_CLOSE_TAG,
SEARCH_SQL_ID, INTERMEDIATE_ROOT_TAG, USER_LAST_UPDT, TMSP_LAST_UPDT, PROCESS_TEMP_ROWS,
TEMP_DIRECTORY, CDX_DATA_SERVICE, XML_VALIDATE_FLAG ) VALUES ( 
'jpetstore-example3', 'Retrieve data through detail queries only.', 'N/A', 'HTML'
, NULL, 'Item Report', 'c:\FlowProcessorPackage\properties\ex3-template.txt', 'c:\FlowProcessorPackage\properties\example3.xsl'
, 'example3-output', NULL, NULL, 'Report.All-Items', 'items', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, NULL, NULL, NULL, 'N'); 
INSERT INTO FP_SUBMITTAL_MODEL ( SUBMITTAL_MODEL_CODE, SUBMITTAL_MODEL_DESC, CDX_DATA_FLOW_CODE,
CDX_DOC_TYPE_CODE, CDX_FLOW_SCHEMA, CDX_FLOW_OPERATION, CDX_DOC_TEMPLATE_FILENAME,
CDX_DATA_SET_XSLT_FILENAME, OUTPUT_BASE_FILENAME, OUTPUT_ROOT_OPEN_TAG, OUTPUT_ROOT_CLOSE_TAG,
SEARCH_SQL_ID, INTERMEDIATE_ROOT_TAG, USER_LAST_UPDT, TMSP_LAST_UPDT, PROCESS_TEMP_ROWS,
TEMP_DIRECTORY, CDX_DATA_SERVICE, XML_VALIDATE_FLAG ) VALUES ( 
'jpetstore-example1', 'Retrieves all account data from the ACCOUNT table', 'N/A', 'XML'
, NULL, NULL, NULL, NULL, 'example1-output', '<accounts>', '</accounts>', 'Retrieve.All.Accounts'
, 'account', 'sbowers',  TO_Date( '05/10/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, NULL, NULL, NULL, NULL); 
INSERT INTO FP_SUBMITTAL_MODEL ( SUBMITTAL_MODEL_CODE, SUBMITTAL_MODEL_DESC, CDX_DATA_FLOW_CODE,
CDX_DOC_TYPE_CODE, CDX_FLOW_SCHEMA, CDX_FLOW_OPERATION, CDX_DOC_TEMPLATE_FILENAME,
CDX_DATA_SET_XSLT_FILENAME, OUTPUT_BASE_FILENAME, OUTPUT_ROOT_OPEN_TAG, OUTPUT_ROOT_CLOSE_TAG,
SEARCH_SQL_ID, INTERMEDIATE_ROOT_TAG, USER_LAST_UPDT, TMSP_LAST_UPDT, PROCESS_TEMP_ROWS,
TEMP_DIRECTORY, CDX_DATA_SERVICE, XML_VALIDATE_FLAG ) VALUES ( 
'jpetstore-example2', 'Retrieve complete Item inventory', 'FRS', 'ZIP', 'NotRealSchema.xsd'
, 'SUBMIT', 'c:\FlowProcessorPackage\properties\ex2-template.txt', 'c:\FlowProcessorPackage\properties\example2b.xsl'
, 'example2-output', '<CompleteInventory>', '</CompleteInventory>', 'List.All.Inventory'
, 'inv-item', 'sbowers',  TO_Date( '05/10/2003 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')
, NULL, NULL, 'submitMyService', NULL); 
COMMIT;

/*
 * FP_SUBMITTAL_MODEL_SQL table
 */
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example3', 'Retrieve.All.Categories', 'Retrieve all records from the CATEGORY table'
, 'category', 1, 'Y', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example3', 'Retrieve.All.Products', 'Retrieve all records from the PRODUCT table'
, 'product', 2, 'Y', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example3', 'Retrieve.All.Items', 'Retrieve all records from the ITEM table'
, 'item', 3, 'Y', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example1', 'Retrieve.Account.Data', 'Retrieve a record from the ACCOUNT table'
, 'account-record', 1, 'Y', 'sbowers',  TO_Date( '05/10/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example2', 'Retrieve.Item.Record', 'Retrieves a record from the ITEM table'
, 'item', 1, 'Y', 'sbowers',  TO_Date( '05/10/2003 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example2', 'Retrieve.Product.Record', 'Retrieves a record from the PRODUCT table'
, 'product', 2, 'Y', 'sbowers',  TO_Date( '05/10/2003 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_MODEL_SQL ( SUBMITTAL_MODEL_CODE, RETRIEVE_SQL_ID, RETRIEVE_SQL_DESC,
INTERMEDIATE_LOCAL_ROOT_TAG, ORDER_NUM, ACTIVE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'jpetstore-example2', 'Retrieve.Category.Record', 'Retrieves a record from the CATEGORY table'
, 'category', 3, 'Y', 'sbowers',  TO_Date( '05/10/2003 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;

/*
 * FP_SUBMITTAL table
 */
INSERT INTO FP_SUBMITTAL ( SUBMITTAL_CODE, SUBMITTAL_DESC, SUBMITTAL_MODEL_CODE,
USE_LAST_RUN_DATE_FLAG, LAST_RUN_DATE, CACHE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'submit.jpetstore.example2', 'Submits the complete inventory data of ITEMS/PRODUCT/CATEGORY to Exchange Network'
, 'jpetstore-example2', 'N', NULL, 'N', 'sbowers',  TO_Date( '05/10/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL ( SUBMITTAL_CODE, SUBMITTAL_DESC, SUBMITTAL_MODEL_CODE,
USE_LAST_RUN_DATE_FLAG, LAST_RUN_DATE, CACHE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'query.jpetstore.example1', 'Retrieve the values from the ACCOUNT table and leave data in temporary Flow Processor XML structure'
, 'jpetstore-example1', 'N', NULL, 'N', 'sbowers',  TO_Date( '05/10/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL ( SUBMITTAL_CODE, SUBMITTAL_DESC, SUBMITTAL_MODEL_CODE,
USE_LAST_RUN_DATE_FLAG, LAST_RUN_DATE, CACHE_FLAG, USER_LAST_UPDT,
TMSP_LAST_UPDT ) VALUES ( 
'report.jpetstore.example3', 'Creates an HTML report for our entire Item Inventory'
, 'jpetstore-example3', 'N', NULL, 'N', 'sbowers',  TO_Date( '05/10/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;

/*
 * FP_SUBMITTAL_EXPORT table
 */
INSERT INTO FP_SUBMITTAL_EXPORT ( SUBMITTAL_EXPORT_CODE, SUBMITTAL_EXPORT_DESC,
EXPORT_MANAGER_CLASS_NAME, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'File Archiver', 'Archives a file to a file system.', 'com.cgiams.esl.fp.em.FileExportManager'
, 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT ( SUBMITTAL_EXPORT_CODE, SUBMITTAL_EXPORT_DESC,
EXPORT_MANAGER_CLASS_NAME, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'Submit the XML payload to a Exchange Network node'
, 'com.cgiams.esl.fp.em.CDXExportManager', 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;

/*
 * FP_SUBMITTAL_EXPORT_PARAM table
 */
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'File Archiver', 'DIRECTORY', 'The directory path for the output file to be placed.'
, 'c:\FlowProcessorPackage\output\', NULL, NULL, 'Y', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'DATA FLOW CODE COLUMN NAME', 'The name of the column that stores the data flow code for the Flow Submittal.'
, 'CDX_DATA_FLOW_CODE', NULL, NULL, 'Y', 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'DOC TYPE CODE COLUMN NAME', 'The name of the column that stores the document type code for the Flow Submittal.'
, 'CDX_DOC_TYPE_CODE', NULL, NULL, 'Y', 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'PWD', 'The password for the user id defined by UID parameter used to log into CDX to submit the data set.'
, 'test', NULL, NULL, 'Y', 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'UID', 'The user name used to log into CDX to submit the data set.'
, 'cdx', NULL, NULL, 'Y', 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_PARAM ( SUBMITTAL_EXPORT_CODE, PARAM_NAME, PARAM_DESC, VALUE_STRING,
VALUE_NUMBER, VALUE_DATE, ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'Exchange Network Node Submittal', 'URL', 'The URL of CDX to submit the data to.'
, 'https://test.epacdxnode.net/cdx/services/NetworkNodePortType_V10', NULL, NULL, 'Y'
, 'sbowers',  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;

/*
 * FP_SUBMITTAL_EXPORT_XREF table
 */
INSERT INTO FP_SUBMITTAL_EXPORT_XREF ( SUBMITTAL_CODE, SUBMITTAL_EXPORT_CODE, ORDER_NUM,
ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'report.jpetstore.example3', 'File Archiver', 1, 'Y', 'sbowers',  TO_Date( '06/22/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
INSERT INTO FP_SUBMITTAL_EXPORT_XREF ( SUBMITTAL_CODE, SUBMITTAL_EXPORT_CODE, ORDER_NUM,
ACTIVE_FLAG, USER_LAST_UPDT, TMSP_LAST_UPDT ) VALUES ( 
'submit.jpetstore.example2', 'Exchange Network Node Submittal', 1, 'Y', 'sbowers'
,  TO_Date( '06/21/2007 12:00:00 AM', 'MM/DD/YYYY HH:MI:SS AM')); 
COMMIT;
