echo off

echo *
echo *
echo * %1
echo *
echo *

rem TODO: Change the value of the JAVA_HOME variable to point to an instance
rem of your JDK 1.4 environment
set JAVA_HOME=C:/javadev/j2sdk1.4.2_08

rem The ESL Runtime Libraries Dir
set fp.lib.rt.dir="./lib-rt"

rem Supporting Jars:

rem ***************************************************************************
rem * Flow Processor engine code                                              *
rem ***************************************************************************
set classpath=%fp.lib.rt.dir%/cgi-flow-processor.jar

rem ***************************************************************************
rem * Oracle 9.0.2.0.0 JDBC driver                                            *
rem ***************************************************************************
set classpath=%classpath%;%fp.lib.rt.dir%/ojdbc14.jar

rem ***************************************************************************
rem * iBatis persistence layer and supporting Apache commons libraries        *
rem ***************************************************************************
set classpath=%classpath%;%fp.lib.rt.dir%/ibatis-common-2.jar
set classpath=%classpath%;%fp.lib.rt.dir%/ibatis-sqlmap-2.jar
set classpath=%classpath%;%fp.lib.rt.dir%/commons-collections.jar
set classpath=%classpath%;%fp.lib.rt.dir%/commons-dbcp-1-1.jar
set classpath=%classpath%;%fp.lib.rt.dir%/commons-pool-1-1.jar
set classpath=%classpath%;%fp.lib.rt.dir%/commons-beanutils.jar

rem ***************************************************************************
rem * Apache Xerces XML implementation clases and supporting XML libraries    *
rem ***************************************************************************
set classpath=%classpath%;%fp.lib.rt.dir%/xercesImpl.jar
set classpath=%classpath%;%fp.lib.rt.dir%/xml-apis.jar
set classpath=%classpath%;%fp.lib.rt.dir%/jax-qname.jar
set classpath=%classpath%;%fp.lib.rt.dir%/jaxb-api.jar
set classpath=%classpath%;%fp.lib.rt.dir%/jaxb-impl.jar
set classpath=%classpath%;%fp.lib.rt.dir%/jaxb-libs.jar
set classpath=%classpath%;%fp.lib.rt.dir%/namespace.jar
set classpath=%classpath%;%fp.lib.rt.dir%/relaxngDatatype.jar
set classpath=%classpath%;%fp.lib.rt.dir%/xsdlib.jar

rem ***************************************************************************
rem * Custom Exchange Network node client jar with supporting web services    *
rem * libraries, notably Apache Axis                                          *
rem ***************************************************************************
set classpath=%classpath%;%fp.lib.rt.dir%/cgi-node-client-nongui.jar
set classpath=%classpath%;%fp.lib.rt.dir%/axis.jar
set classpath=%classpath%;%fp.lib.rt.dir%/commons-discovery.jar
set classpath=%classpath%;%fp.lib.rt.dir%/jaxrpc.jar
set classpath=%classpath%;%fp.lib.rt.dir%/saaj.jar

rem ***************************************************************************
rem * Log4J and Commons logging support libraries                             *
rem ***************************************************************************
set classpath=%classpath%;%fp.lib.rt.dir%/commons-logging.jar
set classpath=%classpath%;%fp.lib.rt.dir%/log4j-1.2.8.jar


if %1=="?" goto PARMS

%JAVA_HOME%\bin\java -cp %classpath% -Dlog4j.configuration=file:/"%CD%/properties/log4j.properties" com.cgiams.esl.fp.FlowProcessorCmdLine %1
goto END

:PARMS
echo Useage:
echo 	run <FlowProcessor Command Line Config INI>
echo Example: run %CD%/ini/fp-example1.ini

:END
echo Done